LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices

Reply
 
Search this Thread
Old 07-02-2003, 04:56 PM   #1
Netrack
Member
 
Registered: Dec 2002
Posts: 57

Rep: Reputation: 15
GTK+ outdated version?


Running RH9


i tried to install armyops v.1.0.7 and when installing i got this error message:
Gtk-WARNING **: GModule initialization check failed: Gtk+ version too old (micro mismatch)

the rest of the program installed but i get this error when trying to play the game

Couldn't set video mode: Couldn't find matching GLX visual


where can i get a newer version of GTK+, or fix this problem



also waht is GTK+
 
Old 07-02-2003, 10:37 PM   #2
shellcode
Member
 
Registered: May 2003
Location: Beverly Hills
Distribution: Slackware, Gentoo
Posts: 350

Rep: Reputation: 31
Re: GTK+ outdated version?

Quote:
Originally posted by Netrack
Running RH9


i tried to install armyops v.1.0.7 and when installing i got this error message:
Gtk-WARNING **: GModule initialization check failed: Gtk+ version too old (micro mismatch)

the rest of the program installed but i get this error when trying to play the game

Couldn't set video mode: Couldn't find matching GLX visual


where can i get a newer version of GTK+, or fix this problem



also waht is GTK+
www.gtk.org

GTK+ is a multi-platform toolkit for creating graphical user interfaces. Offering a complete set of widgets, GTK+ is suitable for projects ranging from small one-off projects to complete application suites.

its basically a GUI system.
 
Old 07-08-2003, 10:24 PM   #3
RottenMutt
Member
 
Registered: Jul 2003
Location: dfw
Distribution: Latest Fedora Release
Posts: 186

Rep: Reputation: 30
i got the same error
Code:
GModule initialization check failed: Gtk+ version too old (micro mismatch)
while installing aa. i tried apt-get install gtk+, but apt said i got the latest version....
while running the game i get error:
i run RH9
Code:
Xlib:  extension "XiG-SUNDRY-NONSTANDARD" missing on disp
lay ":0.0".
Xlib:  extension "XiG-SUNDRY-NONSTANDARD" missing on display ":0.0".

Last edited by RottenMutt; 07-08-2003 at 10:31 PM.
 
Old 07-09-2003, 07:35 AM   #4
mhearn
Guru
 
Registered: Nov 2002
Location: Durham, England
Distribution: Fedora Core 4
Posts: 1,565

Rep: Reputation: 47
That's strange, as RH9 ships with the latest version of GTK.

I suspect it wants GTK 1.2, for whatever reason. I'm not sure why that'd be a problem, but as it's just a warning you might be able to ignore it.

No matching GLX visual - try altering the colour depth of your screen (display properties)
 
Old 07-09-2003, 01:37 PM   #5
RottenMutt
Member
 
Registered: Jul 2003
Location: dfw
Distribution: Latest Fedora Release
Posts: 186

Rep: Reputation: 30
it runs fine
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
gtk keeps finding the wrong version of glib slzckboy Linux - Software 5 10-21-2005 08:26 AM
gtk version of visualboy advance Stramash Linux - Games 3 09-25-2005 10:12 AM
removing old version of gtk Matt.Ramos Linux - Newbie 1 07-24-2005 01:21 AM
How to remove old version of GTK? JakeMH Linux - Software 7 05-22-2005 09:49 AM
GTK version troubles gokul Linux - Newbie 2 11-30-2004 11:56 PM


All times are GMT -5. The time now is 05:12 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration